Subject: Re: [CYGWIN] Updated Cygwin Package: postgresql-7.3.2-2 --still trouble in
From: Jason Tishler <[email-masked]>
To: Frank Seesink <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 20 May 2003 08:08:20 -0400

Frank,

On Mon, May 19, 2003 at 09:03:59PM -0400, Frank Seesink wrote:
> HOWEVER, 'psql' still fails miserably when using internal sockets.  If
> you are signed in as the FIRST user in XP, you're fine.  But do a
> 'Switch User' and log in under another account, and you will find
> trying to run
> 
>   $ psql -U postgres template1
>
> fails.  This, by the way, occurs whether you are logged in first as
> your Admin account and switch over to the 'postgres' account, or vice
> versa. 
> 

See attached -- I was concerned that the separate XP namespaces could
affect Cygwin itself.  PostgreSQL's use of AF_UNIX sockets is the first
known case of this problem:

    $ handle -a -p postgres | fgrep secret
      364: Event \BaseNamedObjects\cygwin.local_socket.secret.54788.00000000-00000000-00000000-00000000

> Anyway, figured you might like to know.

Thanks for bringing this to my attention.  I will work with the other
Cygwin developers to fix this problem and hopefully prevent others.

Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

Subject: Cygwin XP Fast User Switching Support?
From: Jason Tishler <[email-masked]>
To: Cygwin-Developers <[email-masked]>
Date: Tue, 06 May 2003 14:10:03 -0400

Does Cygwin itself need to be enhanced to support XP Fast User Switching
too?  See the following for the details:

    http://cygwin.com/ml/cygwin/2003-05/msg00282.html

While debugging the above, I noticed the following:

    $ handle -a -p mutt | fgrep '\BaseNamedObjects\cygwin'
       68: Section       \BaseNamedObjects\cygwin1S3.shared.3
       8c: Mutant        \BaseNamedObjects\cygwin1S3.title_mutex.0
       90: Section       \BaseNamedObjects\cygwin1S3.JATIS.27
       ac: Semaphore     \BaseNamedObjects\cygwin1S3.sigcatch.2128

Are there any Cygwin events, semaphores, etc. that can be similarly
affected by the multiple namespace issue too?

Jason

-- 
PGP/GPG Key: http://www.tishler.net/jason/pubkey.asc or key servers
Fingerprint: 7A73 1405 7F2B E669 C19D  8784 1AFD E4CC ECF4 8EF6

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/